Audio
Total endpoints: 2
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Get Volume
- Endpoint:
/api/v2/volume/ - Function: Get volume.
- Method:
GET - Parameters: none
- Shell Command:
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/volume/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Set Volume
- Endpoint:
/api/v2/volume/ - Function: Set volume.
- Method:
POST - Parameters:
payload(body,dict)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/volume/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"key": "value"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/volume/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'key': 'value'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):